#!/usr/bin/env bash

set -o errexit
set -o nounset
set -o pipefail

# Check dependencies
command -v flutter >/dev/null 2>&1 || {
  echo >&2 "I require flutter but it's not installed. Aborting."
  exit 1
}

flutter pub upgrade
flutter pub upgrade --major-versions
flutter pub get

flutter build apk --debug
